//////////////////////// VARIABLES ////////////////////////

var main = new TimelineMax();
var delaySec = 2.5 // Hoe lang blijft een frame in beeld staan voordat het uitanimeert
var slideDelay = 1
var NoFadeOutdelaySec = 5

CSSPlugin.defaultForce3D = true;

//////////////////////// ALGEMEEN ANIMATIES ////////////////////////
var rollTl = new TimelineMax();

function init(){
animation();
addListeners();

var btnHeight = Math.ceil($("#button").height());
var btnTextHeight = Math.ceil($("#buttonText").height());
var btnBoxHeight  = Math.ceil($("#vierkantje").height());

var btnTextPos = (btnHeight/2) - (btnTextHeight/2)
var btnBoxPos = (btnHeight/2) - (btnBoxHeight/2)

$("#buttonText").css({top: btnTextPos});
$("#vierkantje").css({top: btnBoxPos});

}

function animation(){
TweenMax.set("#terms", {autoAlpha:0, ease:Power1.easeIn, rotation:0.001});
main.to("#overlay", 0.3,{autoAlpha:0}, 0);
}

// AddListeners
addListeners = function() {
  container.addEventListener('mouseover', rollOver, false);
};

function rollOver() {
  rollTl.play()
  rollTl.to("#arrow", 0.2, {x: 40, ease:Power1.easeIn, autoAlpha:0});
  rollTl.set("#arrow", {x: -40});
  rollTl.to("#arrow", 0.2, {x: 0, ease:Power1.easeOut, autoAlpha:1});
};


//////////////////////// TIMELINES ////////////////////////

// dit zijn de verschillende tijdslijnen. Dus voor iedere afwijkende frame animatie kun je een nieuwe functie aanmaken


// animatie met checkmark (laat in de html het vinkje weg als je m niet wilt zien)
function checkMarkSlideNormal(newSlide, selector, delaySec){
	
  // dit zijn de verschillende elementen binnen de class ".frame" (selector is variabele voor de desbetreffende class ".frame")
  // Je kunt ze targeten door selector + " innerclass" + " innerclass" (let op de spatie voor " innerclass")

  var bgImage =  selector +  " .bgImage"
  var text =  selector +  " .text"
  var checkbox =  selector +  " .checkbox"
  var checkboxArrow =  selector +  " .checkbox" +  " .svgbox" + " .checkboxArrow"

  // maak tijdlijn aan
  newSlide = new TimelineMax();
  
  // in
  newSlide.fromTo(checkbox, 1, {autoAlpha:0, y:10}, {autoAlpha:1, y:0}, 0)  
  newSlide.fromTo(text, 1, {autoAlpha:0, y:10}, {autoAlpha:1, y:0}, 0)  
  newSlide.fromTo(checkboxArrow, .5, {drawSVG:"100% 100%"}, {drawSVG:"0% 100%"}, .5)

  // out   
  newSlide.to(bgImage, 1, {autoAlpha:0, ease:Power1.easeIn},delaySec);
  newSlide.fromTo(checkbox, 1, {autoAlpha:1, y:0}, {autoAlpha:0, y:-10, immediateRender: false}, delaySec)  
  newSlide.fromTo(text, 1, {autoAlpha:1, y:0}, {autoAlpha:0, y:-10, immediateRender: false}, delaySec)  

  // add to mainTimeline
  return newSlide;
}


// animatie met lijst met checkmarks
function checkMarkSlideList(newSlide, selector, delaySec){
  
  // dit zijn de verschillende elementen binnen de class ".frame" (selector is variabele voor de desbetreffende class ".frame")
  // Je kunt ze targeten door selector + " innerclass" + " innerclass" (let op de spatie voor " innerclass")

  var bgImage =  selector +  " .bgImage"
  var text =  selector +  " .text"
  var checkbox =  selector +  " .checkboxSmall"
  var checkboxArrowSmall =  selector + " .li" + " .checkboxSmall" +  " .svgbox" + " .checkboxArrowSmall"

  // maak tijdlijn aan
  newSlide = new TimelineMax();

  // in
  newSlide.add('stag', 0); 
  newSlide.staggerFrom(text, 1, {autoAlpha:0, y:10}, 0.3, 'stag') 
  newSlide.staggerFrom(checkbox, 1, {autoAlpha:0, y:10}, 0.3, 'stag') 
  newSlide.staggerFromTo(checkboxArrowSmall, .5, {drawSVG:"100% 100%"}, {drawSVG:"0% 100%"}, 0.3)

       // out   
  newSlide.to(bgImage, 1, {autoAlpha:0, ease:Power1.easeIn},delaySec+slideDelay);
  newSlide.fromTo(checkbox, 1, {autoAlpha:1, y:0}, {autoAlpha:0, y:-10, immediateRender: false}, delaySec+slideDelay)  
  newSlide.fromTo(text, 1, {autoAlpha:1, y:0}, {autoAlpha:0, y:-10, immediateRender: false}, delaySec+slideDelay)   

console.log(checkboxArrowSmall)

  // add to mainTimeline
  return newSlide;
}



// animatie met checkmark zonder dat bg weg gaat (laat in de html het vinkje weg als je m niet wilt zien)
function checkMarkSlideNoFadeOut(newSlide, selector, NoFadeOutdelaySec){
  
  var bgImage =  selector +  " .bgImage"
  var text =  selector +  " .text"
  var checkbox =  selector +  " .checkbox"
  var checkboxArrow =  selector +  " .checkbox" +  " .svgbox" + " .checkboxArrow"

  // maak tijdlijn aan
  newSlide = new TimelineMax();
  
  // in
  newSlide.fromTo(checkbox, 1, {autoAlpha:0, y:10}, {autoAlpha:1, y:0}, 0)  
  newSlide.fromTo(text, 1, {autoAlpha:0, y:10}, {autoAlpha:1, y:0}, 0)  
  newSlide.fromTo(checkboxArrow, .5, {drawSVG:"100% 100%"}, {drawSVG:"0% 100%"}, .5)

  // out   
  newSlide.fromTo(checkbox, 1, {autoAlpha:1, y:0}, {autoAlpha:0, y:-10, immediateRender: false}, NoFadeOutdelaySec)  
  newSlide.fromTo(text, 1, {autoAlpha:1, y:0}, {autoAlpha:0, y:-10, immediateRender: false}, NoFadeOutdelaySec)  

  // add to mainTimeline
  return newSlide;
}


// animatie voor eindframe
function endSlide(newSlide, selector, delaySec){

  // dit zijn de verschillende elementen binnen de class ".frame" (selector is variabele voor de desbetreffende class ".frame")
  // Je kunt ze targeten door selector + " innerclass" + " innerclass" (let op de spatie voor " innerclass")  

  var text =  selector +  " .text"  

  // maak tijdlijn aan
  newSlide = new TimelineMax();

  newSlide.from(text, 1, {autoAlpha:0, y:10}, 0.6) 

  // add to mainTimeline
  return newSlide;
}

// disclaimer
function SHOWdisclaimer() {
  TweenMax.to("#terms", 0.6,{autoAlpha:1, ease:Power1.easeIn, rotation:0.001});
}

function HIDEdisclaimer() {
  TweenMax.to("#terms", 0.6,{autoAlpha:0, ease:Power1.easeIn, rotation:0.001});
}

//////////////////////// CREATE FRAMES ////////////////////////

// De each functie zoekt alle ".frame" classes en voegt per ".frame" class een nieuwe tijdlijn toe

function createFrames(){

$('.frame').each(function(i, obj) {
  
  // geeft een unieke id aan iedere ".frame" class (id="frame0", id ="frame1", id="frame2", etc....)
  var id =  "#frame" + i
  $(this).attr('id', 'frame' + i);

  // zet de frame in de juiste z-Index (frame 1 boven, frame 2 eronder, etc...)
  $(this).css({'z-index' : 50-i}); 
 
  // voeg in de HTML een extra class toe aan ".frame" voor afwijkende animaties
  // voeg een if statement toe met de bijbehorende "hasClass" en roep de functie aan van de nieuwe tijdslijn die je hierboven gemaakt hebt.
  
  if($(this).hasClass('disclaimer')){
  main.add(SHOWdisclaimer); 
  } else {
  main.add(HIDEdisclaimer);
  }


  if($(this).hasClass('end')){
  main.add(endSlide(i, id, delaySec))
  }
  else if($(this).hasClass('checkMarkList')){
  main.add(checkMarkSlideList(i, id, delaySec))
  }  
  else if($(this).hasClass('NoFadeOut')){
  main.add(checkMarkSlideNoFadeOut(i, id, NoFadeOutdelaySec))
  }
  else{
  main.add(checkMarkSlideNormal(i, id, delaySec))
  }

});

};




